var gulp = require("gulp");
var browserSync = require("browser-sync").create();
var sass = require("gulp-sass");
var jade = require("gulp-jade");

gulp.task("serve", ["sass"], function() {

   browserSync.init({
       server: "./dist"
   });

   gulp.watch("src/sass/**/*.sass", ["sass"]);
   gulp.watch("src/jade/**/*.jade", ["jade"]);
   gulp.watch("dist/*.html").on("change", browserSync.reload);

});

gulp.task("sass", function() {

    return gulp.src("src/sass/*.sass")
               .pipe(sass())
               .pipe(gulp.dest("dist/css"))
               .pipe(browserSync.stream())

});

gulp.task("jade", function() {

    gulp.src("src/jade/*.jade")
        .pipe(jade())
        .pipe(gulp.dest("dist"))

});

gulp.task("default", ["serve"]);
